"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseSourceFormat = void 0;
const fs_1 = require("fs");
const glob = require("glob");
const path = require("path");
const xml2js_1 = require("xml2js");
async function fetchField(fieldFilePath) {
    const xml = await fs_1.promises.readFile(fieldFilePath);
    const field = await xml2js_1.parseStringPromise(xml);
    return field.CustomField;
}
async function parseSourceFormat(objectFilePath) {
    // const files = await globSync(path.resolve(objectFilePath, 'fields', '*.field-meta.xml'), {})
    const promises = glob.sync(path.resolve(objectFilePath, '..', 'fields', '*.field-meta.xml'))
        .map(fieldFilePath => fetchField(fieldFilePath));
    const fields = await Promise.all(promises);
    return fields;
}
exports.parseSourceFormat = parseSourceFormat;
